<div class="container">
    <div class="row">
        <div class="col-md-6 col-md-offset-3" style="margin-left: 27%;
        margin-top: 9%;
        margin-right: -3%;">
            <div class="panel panel-login">
                <div *ngIf="messageSuccess" class="alert alert-success">
                    <strong>User created succesfully!</strong> 
                  </div>
                <div class="panel-heading">
                    <div class="row">
                        <div class="col-xs-6">
                            <a style="margin-left: 18px;" class="active" id="register-form-link">Register</a>
                        </div>
                        
                    </div>
                    <hr>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-lg-12">
                            
                            <form [formGroup]="registerForm"  style="display: block;">
                                <div class="form-group">
                                    <input type="text" formControlName="name"  class="form-control" maxlength="20" placeholder="Name" >
                                    <span style="color:red" *ngIf="registerForm.get('name').touched &&  registerForm.get('name').hasError('required')">
                                        Required Field
                                    </span>

                                </div>
                                <div class="form-group">
                                    <input type="text" formControlName="gender"  class="form-control" maxlength="10" placeholder="Gender">
                                    <span style="color:red" *ngIf="registerForm.get('gender').touched &&  registerForm.get('gender').hasError('required')">
                                        Required Field
                                    </span>
                                </div>
                                <div class="form-group">
                                    <input type="text" formControlName="mobilenumber"  class="form-control" maxlength="14" placeholder="Mobile number">
                                    <span style="color:red" *ngIf="registerForm.get('mobilenumber').touched &&  registerForm.get('mobilenumber').hasError('required')">
                                        Required Field
                                    </span>
                                    <span style="color:red" *ngIf=" registerForm.get('mobilenumber').invalid && registerForm.get('mobilenumber').hasError('pattern')  ">
                                        Please Enter Digits Only
                                    </span>
                                    <span style="color:red" *ngIf=" registerForm.get('mobilenumber').invalid && registerForm.get('mobilenumber').hasError('minlength') && !registerForm.get('mobilenumber').hasError('pattern')">
                                        Please Enter Valid Mobile Number
                                    </span>
                                    <span style="color:red"*ngIf=" registerForm.get('mobilenumber').invalid && registerForm.get('mobilenumber').hasError('maxlength') && !registerForm.get('mobilenumber').hasError('pattern') ">
                                        Please Enter Digits Only
                                    </span>

                                </div>
                                <div class="form-group">
                                    <input type="email" formControlName="email"  class="form-control" placeholder="Email Id">
                                    <span style="color:red" *ngIf=" registerForm.get('email').invalid && registerForm.get('email').hasError('pattern') ">
                                        Please Enter Valid Email Id
                                    </span>
                                    <span style="color:red"*ngIf=" registerForm.get('email').touched &&  registerForm.get('email').hasError('required')">
                                        Required Field
                                    </span>
                                </div>
                                <div class="form-group">
                                    <p-dropdown [options]="designation" formControlName="designation" placeholder="Select a Designation" optionLabel="name" [showClear]="false"></p-dropdown>
                                    <span style="color:red" *ngIf="registerForm.get('designation').touched &&  registerForm.get('designation').hasError('required')">
                                        Required Field
                                    </span>
                                </div>
                                <div class="form-group">
                                    <input type="password" formControlName="password" maxlength="10" class="form-control" placeholder="Password">
                                    <span style="color:red" *ngIf="registerForm.get('password').touched &&  registerForm.get('password').hasError('required')">
                                        Required Field
                                    </span>
                                </div>
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-sm-6 col-sm-offset-3">
                                            <input type="submit" (click)="register()" class="form-control btn btn-register" value="Register Now">
                                        </div>
                                        <div class="col-sm-6 col-sm-offset-3">
                                            <input type="cancel"  routerLink="/login"  class="form-control btn btn-cancel" value="Cancel">
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>